body{
    width: 70%;
    margin: 0 auto;
}
header, footer{
    background-color: goldenrod;
    color: white;
    line-height: 50px;
}
#contenido{
    display: flex;
    flex-direction: row;
    background-color: olive;
    color: wheat;
}

span, nav a{
    color: wheat;
}

#sub{
    display: flex;
    flex-direction: column;
}

nav{
    display: flex;
    flex-direction: column; 
}
#pal-3, #pal-2{
    display: flex;
    flex-direction: row;
    color: white;
    
}
#pal-3{
    flex-grow: 3;
}
#pal-2{
    flex-grow: 2;
}

#lateral,#nav{
    background-color: maroon;
    flex-basis: 35%;
}
h2,h3{
    color: orange;
}
.row-1, nav a, .row-3, .row-2{
    border: 1px solid wheat;
    margin: 5px;
    padding: 8px;
}

footer{
    display: flex;
    flex-direction: row;
    align-items: center;
}

footer h1{
    margin-right: 15px;
}
footer a{
    color: white;
}
.row-2, .row-3{
    background-color: darkolivegreen;
}
.row-2{
    flex: 1 1 50%;
}

.row-3{
    flex: 1 1 30%;
}

#sub{
    margin: 5px;
}
h1{
    margin: 0;
    height: 50px;
}

@media all and (max-width: 900px){
    #contenido{
        display: flex;
        flex-direction: column;
    }
    #sub{
        order: 1;
    }
    #lateral{
        order: 2;
    }
    #nav{
        order: 3;
    }


}